unit uArticulosFacturaProveedorController;

interface

uses
  uDADataTable, uArticulosController, uBizArticulos, uBizContactos;

type
  IArticulosFacturaProveedorController = interface(IArticulosController)
  ['{9B6F6963-D16F-43FE-B33F-47824A5FAFE7}']
    function ElegirArticulos(AArticulos : IBizArticulo; AMensaje: String; AMultiSelect: Boolean; const AProveedor: IBizProveedor): IBizArticulo;
  end;

  TArticulosFacturaProveedorController = class(TArticulosController, IArticulosFacturaProveedorController)
  public
    function ElegirArticulos(AArticulos : IBizArticulo; AMensaje: String; AMultiSelect: Boolean; const AProveedor: IBizProveedor): IBizArticulo; overload;
  end;

implementation

{ TArticulosFacturaProveedorController }

uses Controls, cxControls, uIEditorElegirArticulosFacturasProveedor, uIEditorElegirArticulos;

function TArticulosFacturaProveedorController.ElegirArticulos(AArticulos: IBizArticulo; AMensaje: String;
  AMultiSelect: Boolean; const AProveedor: IBizProveedor): IBizArticulo;
var
  AEditor : IEditorElegirArticulosFacturasProveedor;
begin
  Result := NIL;
  CreateEditor('EditorElegirArticulosFacturaProveedor', IEditorElegirArticulosFacturasProveedor, AEditor);
  if Assigned(AEditor) then
    try
       AEditor.Controller := Self;
       AEditor.Articulos := AArticulos;
       AEditor.Proveedor := AProveedor;
       AEditor.MultiSelect := AMultiSelect;
       AEditor.Mensaje := AMensaje;
       if IsPositiveResult(AEditor.ShowModal) then
          Result := AEditor.ArticulosSeleccionados;
    finally
       AEditor.Release;
       AEditor := NIL;
    end;
end;

end.
